summaryrefslogtreecommitdiff
path: root/build-aux
diff options
context:
space:
mode:
authorFabiano Fidêncio <fidencio@redhat.com>2019-09-05 13:59:54 +0200
committerFabiano Fidêncio <fidencio@redhat.com>2019-09-25 13:26:37 +0200
commit634db79c50393df58ff39bbf22d11be3599c8793 (patch)
treedc995f54f1b685acda3cab8bfcc64660e9098bf9 /build-aux
parent37e117f6cb76c8a344ab9e4831694dc37df9e3e3 (diff)
downloadlibosinfo-634db79c50393df58ff39bbf22d11be3599c8793.tar.gz
Drop autotools support
Let's try to drop autotools support as meson is in place. There are a few files that were not dropped though, as: - cfg.mk - maint.mk - GNUmakefile - build-aux/bracket-spacing.pl - build-aux/gitlog-to-changelog - build-aux/useless-if-before-free - build-aux/vc-list-files From the list above, build-aux/gitlog-to-changelog is currently used by meson as part of the `dist`. All the other files, with a few changes, will be useful for meson as, with a few changes, we will be able have `ninja syntax-check` working. Signed-off-by: Fabiano Fidêncio <fidencio@redhat.com> Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>
Diffstat (limited to 'build-aux')
-rwxr-xr-xbuild-aux/mktempd135
1 files changed, 0 insertions, 135 deletions
diff --git a/build-aux/mktempd b/build-aux/mktempd
deleted file mode 100755
index ab3cf14..0000000
--- a/build-aux/mktempd
+++ /dev/null
@@ -1,135 +0,0 @@
-#!/bin/sh
-# Create a temporary directory, much like mktemp -d does.
-
-# Copyright (C) 2007-2012 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# Written by Jim Meyering.
-
-# Usage: mktempd /tmp phoey.XXXXXXXXXX
-
-# First, try to use the mktemp program.
-# Failing that, we'll roll our own mktemp-like function:
-# - try to get random bytes from /dev/urandom
-# - failing that, generate output from a combination of quickly-varying
-# sources and gzip. Ignore non-varying gzip header, and extract
-# "random" bits from there.
-# - given those bits, map to file-name bytes using tr, and try to create
-# the desired directory.
-# - make only $MAX_TRIES attempts
-
-ME=`basename "$0"`
-die() { echo >&2 "$ME: $@"; exit 1; }
-
-MAX_TRIES=4
-
-rand_bytes()
-{
- n=$1
-
- chars=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
-
- dev_rand=/dev/urandom
- if test -r "$dev_rand"; then
- # Note: 256-length($chars) == 194; 3 copies of $chars is 186 + 8 = 194.
- dd ibs=$n count=1 if="$dev_rand" 2>/dev/null \
- | tr -c $chars 01234567$chars$chars$chars
- return
- fi
-
- cmds='date; date +%N; free; who -a; w; ps auxww; ps ef; netstat -n'
- data=` (eval "$cmds") 2>&1 | gzip `
-
- n_plus_50=`expr $n + 50`
-
- # Ensure that $data has length at least 50+$n
- while :; do
- len=`echo "$data"|wc -c`
- test $n_plus_50 -le $len && break;
- data=` (echo "$data"; eval "$cmds") 2>&1 | gzip `
- done
-
- echo "$data" \
- | dd bs=1 skip=50 count=$n 2>/dev/null \
- | tr -c $chars 01234567$chars$chars$chars
-}
-
-mktempd()
-{
- case $# in
- 2);;
- *) die "Usage: $ME DIR TEMPLATE";;
- esac
-
- destdir=$1
- template=$2
-
- # Disallow any trailing slash on specified destdir:
- # it would subvert the post-mktemp "case"-based destdir test.
- case $destdir in
- /) ;;
- */) die "invalid destination dir: remove trailing slash(es)";;
- esac
-
- case $template in
- *XXXX) ;;
- *) die "invalid template: $template (must have a suffix of at least 4 X's)";;
- esac
-
- fail=0
-
- # First, try to use mktemp.
- d=`env -u TMPDIR mktemp -d -t -p "$destdir" "$template" 2>/dev/null` \
- || fail=1
-
- # The resulting name must be in the specified directory.
- case $d in "$destdir"*);; *) fail=1;; esac
-
- # It must have created the directory.
- test -d "$d" || fail=1
-
- # It must have 0700 permissions. Handle sticky "S" bits.
- perms=`ls -dgo "$d" 2>/dev/null|tr S -` || fail=1
- case $perms in drwx------*) ;; *) fail=1;; esac
-
- test $fail = 0 && {
- echo "$d"
- return
- }
-
- # If we reach this point, we'll have to create a directory manually.
-
- # Get a copy of the template without its suffix of X's.
- base_template=`echo "$template"|sed 's/XX*$//'`
-
- # Calculate how many X's we've just removed.
- template_length=`echo "$template" | wc -c`
- nx=`echo "$base_template" | wc -c`
- nx=`expr $template_length - $nx`
-
- err=
- i=1
- while :; do
- X=`rand_bytes $nx`
- candidate_dir="$destdir/$base_template$X"
- err=`mkdir -m 0700 "$candidate_dir" 2>&1` \
- && { echo "$candidate_dir"; return; }
- test $MAX_TRIES -le $i && break;
- i=`expr $i + 1`
- done
- die "$err"
-}
-
-mktempd "$@"